/* ------------------------------------------------------------------------- */
/* ----            FlexBox support for multiple browsers.               ---- */
/* ------------------------------------------------------------------------- */
.flex-container {
    -ms-box-orient: horizontal;
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
}

.flex-row {
    -webkit-flex-direction: row;    
    flex-direction: row;
}

.flex-wrap {
    -webkit-flex-wrap: wrap;
    flex-wrap: wrap;
}

@mixin flexorder($val) {
    -webkit-box-ordinal-group: $val;
    -moz-box-ordinal-group: $val;
    -ms-flex-order: $val;
    -webkit-order: $val;
    order: $val;
}

/* ------------------------------------------------------------------------- */

* { margin:0; padding:0; }
body { background-color:#FFF; font-family:sans-serif; }

header {
    text-align:center;
    /* padding:.65em; */
}
header section { margin-bottom:1em; }

footer {
    display:block; clear:both; padding:1em; color:#000;
    text-align:center; font:bold 80% sans-serif;
}

footer ul li {
    display:inline; overflow:auto; margin-right:.35em;
    font:bold 90% sans-serif;
}

/* texts & links ----------------------------------------------------------- */
h1 { font:250% lighter sans-serif; }
h2 { font-size:120%; }
h3 { font-size:100%; }

a { color:#428bca; text-decoration:none; cursor: pointer;}
a:hover { text-decoration:underline; }

.infotext { margin-top:0em; color:#444; }

.rcorner { height:25px; border-radius:5px; -moz-border-radius:5px; -webkit-border-radius:5px; }

.content {
    background:#DDD;
    border-top:1px solid #CCC;
    border-bottom:1px solid #CCC;
    /* padding:1em 0; */
    padding:2px; /* EVR */
    overflow:auto;
    overflow-x:hidden;
}

#header-logo {
    @include flexorder(1);
}

#header-search {
    @include flexorder(2);
    -webkit-flex-grow: 1;
    flex-grow: 1;    
}

#search-div{
    @include flexorder(1);
    min-width: 300px;
    padding-right: 1em;
    width: calc(100% - 270px);
}

#search-opts {
    @include flexorder(2);
    padding-bottom:5px;
}

#search-box { width: calc(100% - 73px); height: 30px; font-size:17px; }
#search-button { width: 63px; height: 40px; }

#t-master, #r-master {
    width: 45px;
}

.breadcrums {
    padding: .2em; /* EVR */
    text-align: center;
}

.summary {
    padding: .2em;
    /* border: 1pt solid #000; */
}

#noscript { margin-bottom:1.35em; }

#t-slider { width: 115px; display: inline-block; margin-left: 0.5em; }

/* score bar --------------------------------------------------------------- */
.bar { margin: 0 auto; width:70%; }
.bar-wrap {
    position: relative;
    margin:0.5em auto;
    width:100%;
    background-color:#BBB;
    box-sizing:border-box;
    -moz-box-sizing:border-box; -webkit-box-sizing:border-box;
}
.bar-fill {
    background-color:#444;
    height:7px;
    display:block;
}
.bar-mark {
    position: absolute;
    display: inline;
    height: 100%;
    width: 2px;
}
.bg-red { background-color: #FF0000;  }
.bg-green { background-color: #00FF00; }
.bg-blue { background-color: #0000FF; }
.bg-yellow { background-color: #FFFF00; }

.alert { color: #FF0000; font-weight: bold; }

/* other ------------------------------------------------------------------- */
.center { text-align:center; }
.right { text-align:right; }
.left { text-align:left; }
.clear { clear:both; display: block; }

.mt { margin-top:1em; }
.mr { margin-right:1em; }
.mb { margin-bottom:1em; }
.ml { margin-left:1em; }

.pt { padding-top:1em; }
.pr { padding-right:1em; }
.pb { padding-bottom:1em; }
.pl { padding-left:1em; }

.fl { float:left; }
.fr { float:right; }

.vam { vertical-align: middle; font-size:15px; }
.vat { vertical-align: top; }

.small { font-size: small; }
.large { font-size: large; }

.unclickable {
    color: grey;
    pointer-events: none;
    cursor: default;
}

.unselectable {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

